Warning in Administration -> Applications

Hi.

We've this warnig in our Administration -> Application menu:

"JIRA Core must be updated to be compatible with this version of JIRA Software."

I see, few rows down this other message "JIRA Core 7.6.2 is now available"

I've tried to download it, but seems that I've to pay for this. Is it correct? I'm surprise, because we've support until 2018 January.

Waiting for your news.

Javier

1 answer

1 vote
  • What version of Jira Core are you running?
  • What version of Jira Software are you running?

Upgrading either Core or Software does require an active and valid license.  Your account might have a current license, however if this updated license is not currently applied to your Jira Server version, it's possible you might not be able to complete the upgrade until this new license is applied.

I would recommend going to Jira and then navigating to Gear Icon -> Applications -> Versions and Licenses (You do need to be a Jira Admin to get to this page).   This page will be able to show you all the versions of these applications, plus when the expiration of your license is.  Provided this license has not expired before the release of 7.6.2, then you can still upgrade it.   However if your license did expire, then you would need to make sure that your updated license, which you can find in https://my.atlassian.com has been applied to this instance first.

Hi Andrew.

Answering your questions:

Jire Core 7.2.3

Jira Software 7.2.7 (Maintenance expires 08/01/18)

Waiting for your news.

Javier

Hi Javier,

There was a change made during the 7.2.x releases in regards to determining which versions of Jira Core were compatible with Jira Software.   Previous versions had a range of versions that were compatible. But these 7.2.x versions also started in the same way, but had their listing changed in the Marketplace in order to update their compatibility.  So I'm sure at some point in the Jira web gui, an admin updated the Jira Software package that was listed there as available to 7.2.7.   Moving forward Jira Software has a 1:1 version compatibility with Jira Core.  So these versions tend to also be syncing up with the same version numbers.

So technically speaking, that Jira Software 7.2.7 version works with 7.2.3, but it wasn't tested in that version and in turn there are number of Jira Core bug fixes that your system won't have yet.  In order to try to avoid the confusion between these two different product updates, Jira instances like this will show that kind of warning about Software being incompatible in this version.   Personally I think it creates more confusion, but anyways, that is why you see this error.

You can upgrade from this version directly to the latest 7.6.x version.   Since your license is active and has not yet expired, there is no additional cost to do this.  Also when you upgrade with the Jira Software binary file, this will update both Core and Software to an updated version that in turn will avoid this error.

Suggest an answer

Log in or Sign up to answer
Community showcase
Published Mar 05, 2018 in Jira Software

Jack Graves: Real Ale enthusiast with a knack for Jira Software implementation

@Jack Graves [AC] first caught our eye with his incredible breakdown of what, in his opinion, can make or break a Jira software implementation. (Read his thoughts on this thread)! In this follow...

96,844 views 4 14
Read article

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you